Name:          threddsIso
Version:       2.2.6
Release:       1%{?dist}
Summary:       A THREDDS Data Server extension
# TODO not available license text
License:       BSD
URL:           https://github.com/Unidata/threddsIso
Source0:       https://github.com/Unidata/threddsIso/archive/v%{version}.tar.gz

BuildRequires: maven-local
BuildRequires: mvn(commons-lang:commons-lang)

# https://bugzilla.redhat.com/show_bug.cgi?id=1214376
BuildRequires: mvn(edu.ucar:cdm)
BuildRequires: mvn(edu.ucar:tdcommon)
BuildRequires: mvn(edu.ucar:tds)

BuildRequires: mvn(javax.servlet:javax.servlet-api)
BuildRequires: mvn(junit:junit)
# https://bugzilla.redhat.com/show_bug.cgi?id=1076620
BuildRequires: mvn(net.sf.saxon:Saxon-HE:9.6.0-3)
BuildRequires: mvn(org.jdom:jdom)
BuildRequires: mvn(org.slf4j:slf4j-api)
BuildRequires: mvn(org.springframework:spring-core)
BuildRequires: mvn(org.springframework:spring-webmvc)

BuildArch:     noarch

%description
ThreddsISO provides the NcML, ISO 19115, and
metadata rubric services available from the
THREDDS Data Server (TDS).

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n threddsIso-%{version}
# TODO
%mvn_file EDS:threddsIso %{name}

%build

%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc README.md
#%license

%files javadoc -f .mfiles-javadoc
#%license

%changelog
* Fri May 15 2015 gil cattaneo <puntogil@libero.it> 2.2.6-1
- initial rpm
